2019-12-14 00:22 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001883FSSCPFREDpublic2009-05-10 05:29
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.11 
Summary0001883: Space at the end of a ship name causes problems after save
DescriptionDid a bunch of ship copying/renaming yesterday. Opened up the mission today and had several problems with one of the ships. Arrival cue for a wing, initial orders, and events were messed up. I was getting an error that a ship did not exist but it did. After further inspection the arrival cue, orders, events all had a space after the ship name.

I was able to reproduce this by simply opening up the ships editor and adding a space to the end of the ship name. I then modified the arrival cue of a wing and made it based on has-arrived-delay the ship with the space at the end. No errors detected by the error checker or upon save. Reload mission and the invalid ship/wing error occurs.

Looks like save drops the space at the end of the name(which it should) but doesn't remove it from any references to that ship. This raised the question should the ship editor even allow you have a space at the end of the name in the first place? Should any other objects? Haven't actually tried any other objects.

Additional Information3.6.10 FRED r5063
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010794

karajorma (administrator)

Fixed in my branch.

~0010876

karajorma (administrator)

Fixed in trunk too.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-09 02:02 FUBAR-BDHR New Issue
2009-04-01 18:44 karajorma Status new => assigned
2009-04-01 18:44 karajorma Assigned To => karajorma
2009-04-01 19:16 karajorma Note Added: 0010794
2009-05-10 05:29 karajorma Status assigned => resolved
2009-05-10 05:29 karajorma Fixed in Version => 3.6.11
2009-05-10 05:29 karajorma Resolution open => fixed
2009-05-10 05:29 karajorma Note Added: 0010876
+Issue History